import React from 'react';

// 内库使用-start
import Loading from "./../../../Loading";
// 内库使用-end

/* 测试使用-start
import { Loading } from 'seedsui-react'
测试使用-end */

// 上传中图标
var Uploading = function Uploading(_ref) {
  var uploading = _ref.uploading,
    item = _ref.item,
    className = _ref.className;
  // 上传中node
  function getUploadingNode(item) {
    if (typeof uploading === 'function') {
      return uploading(item);
    }
    if ( /*#__PURE__*/React.isValidElement(uploading)) {
      return uploading;
    }
    return /*#__PURE__*/React.createElement("div", {
      className: "upload-uploading-icon"
    }, /*#__PURE__*/React.createElement(Loading.Ouroboros, {
      className: "upload-uploading-icon-loading"
    }));
  }
  return /*#__PURE__*/React.createElement("div", {
    className: "upload-uploading".concat(className ? ' ' + className : '')
  }, getUploadingNode(item));
};
export default Uploading;